## rust-sequoia-git 0.4.0

=== book/Makefile ===
build: mdbook
	mdbook build

server: mdbook
	mdbook serve --open

.PHONY: mdbook
mdbook:
	if ! mdbook --version >/dev/null; \
	then \
		echo "mdbook is not installed, try:"; \
		echo ""; \
		echo "  cargo install mdbook"; \
	fi

=== spec/Makefile ===
#!/usr/bin/make -f

# dependencies:

# apt install weasyprint xml2rfc ruby-kramdown-rfc2629

draft = draft-sequoia-git
OUTPUT = $(draft).txt $(draft).html $(draft).xml $(draft).pdf

all: $(OUTPUT)

%.xmlv2: sequoia-git.md
	kramdown-rfc2629 < $< > $@.tmp
	mv $@.tmp $@

%.xml: %.xmlv2
	xml2rfc --v2v3 $< -o $@

%.html: %.xml
	xml2rfc $< --html -o $@

%.txt: %.xml
	xml2rfc $< --text -o $@

%.pdf: %.xml
	xml2rfc $< --pdf -o $@

clean:
	-rm -rf $(OUTPUT) $(draft).xmlv2
.PRECIOUS: $(draft).xmlv2
.PHONY: clean all

## rust-sequoia-git 0.1.0

=== debian/changelog ===
rust-sequoia-git (0.1.0-1ubuntu1) plucky; urgency=medium

  * Bump dependencies for libgit2 1.9.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 05 Mar 2025 22:14:09 -0600

rust-sequoia-git (0.1.0-1) unstable; urgency=medium

  * Package sequoia-git 0.1.0 from crates.io using debcargo 2.7.6

 -- Alexander Kjäll <alexander.kjall@gmail.com>  Sun, 09 Feb 2025 10:43:01 +0100

=== debian/control ===
Source: rust-sequoia-git
Section: utils
Priority: optional
Build-Depends: debhelper-compat (= 13),
 dh-sequence-cargo,
 cargo:native,
 rustc:native (>= 1.66),
 libstd-rust-dev,
 librust-anyhow-1+default-dev,
 librust-buffered-reader-1+default-dev,
 librust-clap-4+cargo-dev,
 librust-clap-4+default-dev,
 librust-clap-4+derive-dev,
 librust-clap-4+env-dev,
 librust-clap-4+string-dev,
 librust-clap-4+wrap-help-dev,
 librust-clap-complete-4+default-dev,
 librust-clap-mangen-0.2+default-dev,
 librust-dirs-5+default-dev,
 librust-git2-0.20+default-dev,
 librust-once-cell-1+default-dev,
 librust-sequoia-cert-store-0.6+default-dev,
 librust-sequoia-net-0.29+default-dev,
 librust-sequoia-openpgp-1+default-dev (>= 1.15-~~),
 librust-serde-1+default-dev,
 librust-serde-1+derive-dev,
 librust-serde-json-1+default-dev,
 librust-tempfile-3+default-dev,
 librust-thiserror-1+default-dev,
 librust-tokio-1+default-dev,
 librust-tokio-1+full-dev,
 librust-toml-0.8+default-dev,
 librust-vergen-8+default-dev,
 librust-vergen-8+git-dev,
 librust-vergen-8+git2-dev
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Alexander Kjäll <alexander.kjall@gmail.com>,
 Holger Levsen <holger@debian.org>
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/sequoia-git]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/sequoia-git
Homepage: https://sequoia-pgp.org/
X-Cargo-Crate: sequoia-git
Rules-Requires-Root: no

Package: librust-sequoia-git-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-anyhow-1+default-dev,
 librust-buffered-reader-1+default-dev,
 librust-clap-4+cargo-dev,
 librust-clap-4+default-dev,
 librust-clap-4+derive-dev,
 librust-clap-4+env-dev,
 librust-clap-4+string-dev,
 librust-clap-4+wrap-help-dev,
 librust-clap-complete-4+default-dev,
 librust-clap-mangen-0.2+default-dev,
 librust-dirs-5+default-dev,
 librust-git2-0.20+default-dev,
 librust-once-cell-1+default-dev,
 librust-sequoia-cert-store-0.6+default-dev,
 librust-sequoia-net-0.29+default-dev,
 librust-sequoia-openpgp-1+default-dev (>= 1.15-~~),
 librust-serde-1+default-dev,
 librust-serde-1+derive-dev,
 librust-serde-json-1+default-dev,
 librust-tempfile-3+default-dev,
 librust-thiserror-1+default-dev,
 librust-tokio-1+default-dev,
 librust-tokio-1+full-dev,
 librust-toml-0.8+default-dev,
 librust-vergen-8+default-dev,
 librust-vergen-8+git-dev,
 librust-vergen-8+git2-dev
Provides:
 librust-sequoia-git+default-dev (= ${binary:Version}),
 librust-sequoia-git-0-dev (= ${binary:Version}),
 librust-sequoia-git-0+default-dev (= ${binary:Version}),
 librust-sequoia-git-0.1-dev (= ${binary:Version}),
 librust-sequoia-git-0.1+default-dev (= ${binary:Version}),
 librust-sequoia-git-0.1.0-dev (= ${binary:Version}),
 librust-sequoia-git-0.1.0+default-dev (= ${binary:Version})
Description: Managing and enforcing a commit signing policy - Rust source code
 Source code for Debianized Rust crate "sequoia-git"

Package: sequoia-git
Architecture: any
Multi-Arch: allowed
Section: utils
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 ${cargo:Depends}
Recommends:
 ${cargo:Recommends}
Suggests:
 ${cargo:Suggests}
Provides:
 ${cargo:Provides}
Built-Using: ${cargo:Built-Using}
Static-Built-Using: ${cargo:Static-Built-Using}
Description: Git commit signing policy verifier
 Tool that can be used to improve a project's supply
 chain security by verifying that git commits are
 signed by the correct keys.

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test sequoia-git 0.1.0 --all-targets --all-features
Features: test-name=rust-sequoia-git:@
Depends: dh-cargo (>= 31), rustc (>= 1.66), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test sequoia-git 0.1.0 --all-targets
Features: test-name=librust-sequoia-git-dev:default
Depends: dh-cargo (>= 31), rustc (>= 1.66), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test sequoia-git 0.1.0 --all-targets --no-default-features
Features: test-name=librust-sequoia-git-dev:
Depends: dh-cargo (>= 31), rustc (>= 1.66), @
Restrictions: allow-stderr, skip-not-installable

## rust-sequoia-git 0.4.0

=== debian/changelog ===
rust-sequoia-git (0.4.0-4) unstable; urgency=medium

  * Package sequoia-git 0.4.0 from crates.io using debcargo 2.7.8
    - add gpg-agent to test depends.

 -- Holger Levsen <holger@debian.org>  Thu, 03 Apr 2025 10:18:33 +0200

rust-sequoia-git (0.4.0-3) unstable; urgency=medium

  * Package sequoia-git 0.4.0 from crates.io using debcargo 2.7.8
    - add faketime and gpg to test depends.

 -- Holger Levsen <holger@debian.org>  Wed, 02 Apr 2025 20:18:56 +0200

rust-sequoia-git (0.4.0-2) unstable; urgency=medium

  * Package sequoia-git 0.4.0 from crates.io using debcargo 2.7.8
    - add 3 missing patches from MR98.patch and rename those patches to better
      match upstream commits.

 -- Holger Levsen <holger@debian.org>  Tue, 01 Apr 2025 23:01:12 +0200

rust-sequoia-git (0.4.0-1) unstable; urgency=medium

  [ Holger Levsen ]
  * Package sequoia-git 0.4.0 from crates.io using debcargo 2.7.8
    - Refresh debian/patches.
  * Add git as test dependency for the -dev package.
  * Add debian/patches/MR97.patch and MR98.patch to include these commits which
    have been merged upstream already.

  [ Fabian Grünbichler ]
  * relax git2 to allow libgit2 1.8 and 1.9

 -- Holger Levsen <holger@debian.org>  Tue, 01 Apr 2025 22:00:45 +0200

=== debian/control ===
Source: rust-sequoia-git
Section: utils
Priority: optional
Build-Depends: debhelper-compat (= 13),
 dh-sequence-cargo
Build-Depends-Arch: cargo:native,
 rustc:native (>= 1.79),
 libstd-rust-dev,
 librust-anyhow-1+default-dev,
 librust-buffered-reader-1+default-dev (>= 1.3-~~),
 librust-clap-4+cargo-dev,
 librust-clap-4+default-dev,
 librust-clap-4+derive-dev,
 librust-clap-4+env-dev,
 librust-clap-4+string-dev,
 librust-clap-4+wrap-help-dev,
 librust-clap-complete-4+default-dev,
 librust-clap-mangen-0.2+default-dev,
 librust-dirs+default-dev (<< 7-~~),
 librust-dirs+default-dev (>= 5-~~),
 librust-git2-dev (<< 0.21-~~),
 librust-git2-dev (>= 0.19-~~),
 librust-once-cell-1+default-dev,
 librust-roff-0.2+default-dev (>= 0.2.1-~~),
 librust-sequoia-cert-store-0.7-dev,
 librust-sequoia-directories-0.1+default-dev,
 librust-sequoia-man-0.3+default-dev,
 librust-sequoia-net-0.30+default-dev,
 librust-sequoia-openpgp-2+default-dev,
 librust-serde-1+default-dev,
 librust-serde-1+derive-dev,
 librust-serde-json-1+default-dev,
 librust-tempfile-3+default-dev,
 librust-thiserror+default-dev (<< 3-~~),
 librust-thiserror+default-dev (>= 1-~~),
 librust-tokio-1+default-dev,
 librust-tokio-1+full-dev,
 librust-toml-0.8+default-dev,
 librust-vergen-8+default-dev,
 librust-vergen-8+git-dev,
 librust-vergen-8+git2-dev
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Alexander Kjäll <alexander.kjall@gmail.com>,
 Holger Levsen <holger@debian.org>
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/sequoia-git]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/sequoia-git
Homepage: https://sequoia-pgp.org/
X-Cargo-Crate: sequoia-git
Rules-Requires-Root: no

Package: librust-sequoia-git-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-anyhow-1+default-dev,
 librust-buffered-reader-1+default-dev (>= 1.3-~~),
 librust-clap-4+cargo-dev,
 librust-clap-4+default-dev,
 librust-clap-4+derive-dev,
 librust-clap-4+env-dev,
 librust-clap-4+string-dev,
 librust-clap-4+wrap-help-dev,
 librust-clap-complete-4+default-dev,
 librust-clap-mangen-0.2+default-dev,
 librust-dirs+default-dev (<< 7-~~),
 librust-dirs+default-dev (>= 5-~~),
 librust-git2-dev (<< 0.21-~~),
 librust-git2-dev (>= 0.19-~~),
 librust-once-cell-1+default-dev,
 librust-roff-0.2+default-dev (>= 0.2.1-~~),
 librust-sequoia-cert-store-0.7-dev,
 librust-sequoia-directories-0.1+default-dev,
 librust-sequoia-man-0.3+default-dev,
 librust-sequoia-net-0.30+default-dev,
 librust-sequoia-openpgp-2+default-dev,
 librust-serde-1+default-dev,
 librust-serde-1+derive-dev,
 librust-serde-json-1+default-dev,
 librust-tempfile-3+default-dev,
 librust-thiserror+default-dev (<< 3-~~),
 librust-thiserror+default-dev (>= 1-~~),
 librust-tokio-1+default-dev,
 librust-tokio-1+full-dev,
 librust-toml-0.8+default-dev,
 librust-vergen-8+default-dev,
 librust-vergen-8+git-dev,
 librust-vergen-8+git2-dev
Provides:
 librust-sequoia-git+default-dev (= ${binary:Version}),
 librust-sequoia-git-0-dev (= ${binary:Version}),
 librust-sequoia-git-0+default-dev (= ${binary:Version}),
 librust-sequoia-git-0.4-dev (= ${binary:Version}),
 librust-sequoia-git-0.4+default-dev (= ${binary:Version}),
 librust-sequoia-git-0.4.0-dev (= ${binary:Version}),
 librust-sequoia-git-0.4.0+default-dev (= ${binary:Version})
Description: Managing and enforcing a commit signing policy - Rust source code
 Source code for Debianized Rust crate "sequoia-git"

Package: sequoia-git
Architecture: any
Multi-Arch: allowed
Section: utils
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 ${cargo:Depends}
Recommends:
 ${cargo:Recommends}
Suggests:
 ${cargo:Suggests}
Provides:
 ${cargo:Provides}
Built-Using: ${cargo:Built-Using}
Static-Built-Using: ${cargo:Static-Built-Using}
Description: Git commit signing policy verifier
 Tool that can be used to improve a project's supply
 chain security by verifying that git commits are
 signed by the correct keys.

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test sequoia-git 0.4.0 --all-targets --all-features
Features: test-name=rust-sequoia-git:@
Depends: dh-cargo (>= 31), git, gpg, gpg-agent, faketime, rustc (>= 1.79), librust-chrono-0.4+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test sequoia-git 0.4.0 --all-targets
Features: test-name=librust-sequoia-git-dev:default
Depends: dh-cargo (>= 31), git, gpg, gpg-agent, faketime, rustc (>= 1.79), librust-chrono-0.4+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test sequoia-git 0.4.0 --all-targets --no-default-features
Features: test-name=librust-sequoia-git-dev:
Depends: dh-cargo (>= 31), git, gpg, gpg-agent, faketime, rustc (>= 1.79), librust-chrono-0.4+default-dev, @
Restrictions: allow-stderr, skip-not-installable

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/(.*)\/download/sequoia-git-$1\.tar\.gz/g,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/ \
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/sequoia-git .*/crates/sequoia-git/@ANY_VERSION@/download

## rust-sequoia-git 0.5.0

=== debian/changelog ===
rust-sequoia-git (0.5.0-1) unstable; urgency=medium

  * Package sequoia-git 0.5.0 from crates.io using debcargo 2.7.11
    - refresh update-deps.patch and drop all the others as merged upstream.
    - d/copyright: update years.

 -- Holger Levsen <holger@debian.org>  Tue, 24 Feb 2026 13:34:06 +0100

rust-sequoia-git (0.4.0-5) unstable; urgency=medium

  * Package sequoia-git 0.4.0 from crates.io using debcargo 2.7.11

 -- Holger Levsen <holger@debian.org>  Fri, 12 Dec 2025 22:27:26 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Build-Depends: debhelper-compat (= 13),
  dh-sequence-cargo
 Build-Depends-Arch: cargo:native,
- rustc:native (>= 1.79),
+ rustc:native (>= 1.85),
  libstd-rust-dev,
  librust-anyhow-1+default-dev,
  librust-buffered-reader-1+default-dev (>= 1.3-~~),
@@ -21,7 +21,8 @@
  librust-git2-dev (<< 0.21-~~),
  librust-git2-dev (>= 0.19-~~),
  librust-once-cell-1+default-dev,
- librust-roff-0.2+default-dev (>= 0.2.1-~~),
+ librust-roff+default-dev (<< 2-~~),
+ librust-roff+default-dev (>= 0.2-~~),
  librust-sequoia-cert-store-0.7-dev,
  librust-sequoia-directories-0.1+default-dev,
  librust-sequoia-man-0.3+default-dev,
@@ -35,20 +36,17 @@
  librust-thiserror+default-dev (>= 1-~~),
  librust-tokio-1+default-dev,
  librust-tokio-1+full-dev,
- librust-toml-0.8+default-dev,
- librust-vergen-8+default-dev,
- librust-vergen-8+git-dev,
- librust-vergen-8+git2-dev
+ librust-toml+default-dev (<< 2-~~),
+ librust-toml+default-dev (>= 0.8-~~)
 Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
 Uploaders:
  Alexander Kjäll <alexander.kjall@gmail.com>,
  Holger Levsen <holger@debian.org>
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/sequoia-git]
 Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/sequoia-git
 Homepage: https://sequoia-pgp.org/
 X-Cargo-Crate: sequoia-git
-Rules-Requires-Root: no
 
 Package: librust-sequoia-git-dev
 Architecture: any
@@ -70,7 +68,8 @@
  librust-git2-dev (<< 0.21-~~),
  librust-git2-dev (>= 0.19-~~),
  librust-once-cell-1+default-dev,
- librust-roff-0.2+default-dev (>= 0.2.1-~~),
+ librust-roff+default-dev (<< 2-~~),
+ librust-roff+default-dev (>= 0.2-~~),
  librust-sequoia-cert-store-0.7-dev,
  librust-sequoia-directories-0.1+default-dev,
  librust-sequoia-man-0.3+default-dev,
@@ -84,24 +83,21 @@
  librust-thiserror+default-dev (>= 1-~~),
  librust-tokio-1+default-dev,
  librust-tokio-1+full-dev,
- librust-toml-0.8+default-dev,
- librust-vergen-8+default-dev,
- librust-vergen-8+git-dev,
- librust-vergen-8+git2-dev
+ librust-toml+default-dev (<< 2-~~),
+ librust-toml+default-dev (>= 0.8-~~)
 Provides:
  librust-sequoia-git+default-dev (= ${binary:Version}),
  librust-sequoia-git-0-dev (= ${binary:Version}),
  librust-sequoia-git-0+default-dev (= ${binary:Version}),
- librust-sequoia-git-0.4-dev (= ${binary:Version}),
- librust-sequoia-git-0.4+default-dev (= ${binary:Version}),
- librust-sequoia-git-0.4.0-dev (= ${binary:Version}),
- librust-sequoia-git-0.4.0+default-dev (= ${binary:Version})
+ librust-sequoia-git-0.5-dev (= ${binary:Version}),
+ librust-sequoia-git-0.5+default-dev (= ${binary:Version}),
+ librust-sequoia-git-0.5.0-dev (= ${binary:Version}),
+ librust-sequoia-git-0.5.0+default-dev (= ${binary:Version})
 Description: Managing and enforcing a commit signing policy - Rust source code
  Source code for Debianized Rust crate "sequoia-git"
 
 Package: sequoia-git
 Architecture: any
-Multi-Arch: allowed
 Section: utils
 Depends:
  ${misc:Depends},

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test sequoia-git 0.5.0 --all-targets --all-features
Features: test-name=rust-sequoia-git:@
Depends: dh-cargo (>= 31), git, gpg, gpg-agent, faketime, rustc (>= 1.85), librust-chrono-0.4+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test sequoia-git 0.5.0 --all-targets
Features: test-name=librust-sequoia-git-dev:default
Depends: dh-cargo (>= 31), git, gpg, gpg-agent, faketime, rustc (>= 1.85), librust-chrono-0.4+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test sequoia-git 0.5.0 --all-targets --no-default-features
Features: test-name=librust-sequoia-git-dev:
Depends: dh-cargo (>= 31), git, gpg, gpg-agent, faketime, rustc (>= 1.85), librust-chrono-0.4+default-dev, @
Restrictions: allow-stderr, skip-not-installable
